Summary:	RENDER extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia RENDER
Name:		xorg-proto-renderproto
Version:	0.11.1
Release:	1
License:	MIT
Group:		X11/Development/Libraries
Source0:	http://xorg.freedesktop.org/releases/individual/proto/renderproto-%{version}.tar.bz2
# Source0-md5:	a914ccc1de66ddeb4b611c6b0686e274
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	xorg-util-util-macros >= 1.3
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
X Rendering (RENDER) extension headers.

%description -l pl.UTF-8
Nagłówki rozszerzenia RENDER.

%package devel
Summary:	RENDER extension headers
Summary(pl.UTF-8):	Nagłówki rozszerzenia RENDER
Group:		X11/Development/Libraries
Requires:	xorg-proto-xproto-devel
Obsoletes:	render
Obsoletes:	renderext

%description devel
X Rendering (RENDER) extension headers.

%description devel -l pl.UTF-8
Nagłówki rozszerzenia RENDER.

%prep
%setup -q -n renderproto-%{version}

%build
%{__aclocal}
%{__autoconf}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkgconfigdir=%{_pkgconfigdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files devel
%defattr(644,root,root,755)
%doc COPYING ChangeLog README renderproto.txt
%{_includedir}/X11/extensions/render*.h
%{_pkgconfigdir}/renderproto.pc
%changelog
* Wed Aug 11 2010 Jakub Bogusz <qboosh@pld-linux.org> f49f06c
- updated BRs
- removed obsolete undefined_XID patch
- added README to doc

* Tue Aug 10 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 944a7d6
- up to 0.11.1

* Tue Sep 29 2009 Jakub Bogusz <qboosh@pld-linux.org> 5a358ff
- util-macros version
- package renderproto.txt as doc
- Render is an extension

* Wed Jul 15 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 27420a8
- up to 0.11

* Wed Sep 26 2007 radek <radek@pld-linux.org> aebdf49
- release 2: added -undefined_XID.patch (xorg 1.3 doesn't build without this)

* Wed Sep 26 2007 radek <radek@pld-linux.org> dd74f37
- include X11/X.h for the XID type used later

* Sat Sep 01 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> 7605e5c
- up to 0.9.3

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1c39555
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 3ad45f4
- converted to UTF-8

* Sun May 14 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> e913d9a
- no more X11R7.0 in setup

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 43ff0bf
- update md5sum for individual files.

* Mon May 08 2006 Arkadiusz Miśkiewicz <arekm@maven.pl> 49d79d7
- switch to individual files

* Fri Feb 03 2006 Paweł Sikora <pluto@pld-linux.org> cea5581
- release 1.

* Thu Dec 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 48fa59b
- sources from X11R7.0 release

* Tue Dec 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 014fe2c
- 0.9.2 (X11R7.0-RC4)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 39a6288
- pkgconfig epoch

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> 37bd687
- BR: autoconf >= 2.57

* Thu Oct 20 2005 Jakub Bogusz <qboosh@pld-linux.org> abceeac
- 0.9.1 (X11R7.0-RC1)

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 859ed3b
- kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> ba7a6c6
- s/pkg-config/pkgconfig/ in BR:

